> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# createWorkspace

> Create workspace



## OpenAPI

````yaml /admin-openapi.json post /v1/admin/workspaces
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.112.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspaces:
    post:
      tags:
        - Endpoints
      description: Create workspace
      operationId: createWorkspace
      parameters:
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/createWorkspaceBody'
      responses:
        '200':
          $ref: '#/components/responses/createWorkspaceResponse'
        default:
          $ref: '#/components/responses/createWorkspaceResponse'
components:
  requestBodies:
    createWorkspaceBody:
      description: Workspace metadata
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
              billingVersion:
                type: string
                enum:
                  - v4
            required:
              - name
            title: createWorkspaceBody
            additionalProperties: false
  responses:
    createWorkspaceResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              ownerId:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
              botCount:
                type: number
              billingVersion:
                type: string
                enum:
                  - v1
                  - v2
                  - v3
                  - v4
              plan:
                type: string
                enum:
                  - community
                  - team
                  - enterprise
                  - plus
                  - managed
              blocked:
                type: boolean
              spendingLimit:
                type: number
              about:
                default: ''
                type: string
              profilePicture:
                default: ''
                type: string
              contactEmail:
                default: ''
                type: string
              website:
                default: ''
                type: string
              socialAccounts:
                default: []
                type: array
                items:
                  type: string
              isPublic:
                type: boolean
              handle:
                type: string
              activeTrialId:
                type: string
                nullable: true
            required:
              - id
              - name
              - ownerId
              - createdAt
              - updatedAt
              - botCount
              - billingVersion
              - plan
              - blocked
              - spendingLimit
              - activeTrialId
            title: createWorkspaceResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````